Jump to content

Archived

This topic is now archived and is closed to further replies.

suerama

LESS/CSS error I don't understand

Recommended Posts

suerama

Here is the error that appeared this morning, after making some changes to a couple of pages last night:

 

parse error: failed at `(~"> [email protected]{index}") { .span(@index); }` line: 907

 

Usually when I get a css error it's css that I've created that is the problem, and I go into my custom code area and correct it. But that is not the case this time. I did not change any css last night (knowingly), and don't understand this code, so I don't know what to change. Nor would I know where to go to change it. I imagine I'd have to use the FTP, but where would I go, and what would I change?

Share this post


Link to post
Share on other sites
Danny

HI,

 

If you receive a Parse error, the likely cause is that you have created a CSS/LESS error i.e. you have code that is not valid. To resolve this issue, you're going to need to review all your custom CSS for any mistakes or errors.


Please search our forums, before posting!

Share this post


Link to post
Share on other sites
suerama

Well, I did not recognize that code mentioned in the parse error warning, but to be sure I just removed ALL of my custom CSS and resaved.

Now the site is really broken. It looks a mess, please take a look:

feldenkraisnoho.com

 

So I tried restoring the CSS but that did not help. 

 

I think the problem may have occurred this morning when I updated my Wordpress to the latest version. 

 

So, if this problem isn't the custom CSS I've entered, how can I troubleshoot and fix this line 907 thing? Is there a website that will help me troubleshoot? Or can I locate this line 907 via FTP?

Share this post


Link to post
Share on other sites
suerama

I think the problem may have a occurred when I updated Wordpress.

 

If I restore a back-up previous version of this site, before I made the Wordpress update, will it go back to the previous Wordpress version?

Share this post


Link to post
Share on other sites
suerama

I updated Pagelines and now the site is appearing correctly. The parse error warning is gone now.

 

However I ran the url through validator and there are a ton of css issues. I'm trying to address them one by one. Most of them I don't recognize as css I've entered. Could they be css in plug-ins?

 

Share this post


Link to post
Share on other sites
Danny

What is the URL of the site you're trying to validate ?


Please search our forums, before posting!

Share this post


Link to post
Share on other sites

  • Similar Content

    • jeremyalmeda1
      By jeremyalmeda1
      Hello. I am getting this error. 
      parse error: failed at `add_action( 'pagelines_options_dms_less', array(&$this, 'dms_tools_less') );` line: 1023
       
      The front end editor stopped working, I googled and found this code (attached) and pasted into DMS Tools options to "fix the Front-End". But now when I try to remove the code I can't save the page? Hope that makes sense. Thanks in advance for assistance. 
       
       
    • julius
      By julius
      Hello,
       
      I messed u something...
      now I cant access or click the DMS admin bar in front end.
      On dashboard I get this message:
      PageLines Custom LESS/CSS error. parse error: failed at `` line: 1037
       
      If I try to delete the custom LESS / CSS from dashboard > pagelines > DMS tool,
      that doesn't work (I get a blank white site).
       
      Anyone knows what I could try?
      Can I delete all my custom css / script via FTP (wich file? didnt find it myself...)
      Or does this mean I must restore the entire site...?
       
×